package com.engine.organization.util.relation;

import com.engine.organization.entity.job.po.JobPO;
import com.engine.organization.mapper.job.JobMapper;
import com.engine.organization.util.db.MapperProxyFactory;
import weaver.general.Util;

/**
 * @author:dxfeng
 * @createTime: 2022/07/13
 * @version: 1.0
 */
public class EcHrmRelationUtil {

    private static JobMapper getJobMapper() {
        return MapperProxyFactory.getProxy(JobMapper.class);
    }

    public static String getEcJobId(Long jclJobId) {
        JobPO jobById = getJobMapper().getJobById(jclJobId);
        if (null == jobById) {
            return "";
        }

        return Util.null2String(jobById.getEcJobTitle());
    }


}
